import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.4
import QtQuick.Controls.impl 2.4

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Button {
        id: button
        x: 61
        y: 81
        text: qsTr("Show long message")

        onClicked: {
            messageDialog.showError("long message... long message... long message... long message")
        }
    }

    Button {
        id: button1
        x: 61
        y: 159
        text: qsTr("Show short message")

        onClicked: {
            messageDialog.showError("short message")
        }
    }

    Dialog {
        id: messageDialog

        modal: true
        standardButtons: Dialog.Ok

        x: (parent.width - width) / 2
        y: (parent.height - height) / 2

        closePolicy: Popup.NoAutoClose

        contentItem: Text {
            id: mMessage
        }

        function showError(xMessage) {
            title = qsTr("Error")
            mMessage.text = qsTr(xMessage)
            open()
        }

        onAccepted: {
            close()
        }
    }
}
